package com.chinaitop.depot.intelligent.grainsituation.mapper;

import com.chinaitop.depot.intelligent.grainsituation.model.TLqdataAdd;
import com.chinaitop.depot.intelligent.grainsituation.model.TLqdataAddExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TLqdataAddMapper {
    int countByExample(TLqdataAddExample example);

    int deleteByExample(TLqdataAddExample example);

    int deleteByPrimaryKey(String id);

    int insert(TLqdataAdd record);

    int insertSelective(TLqdataAdd record);

    List<TLqdataAdd> selectByExample(TLqdataAddExample example);

    TLqdataAdd selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TLqdataAdd record, @Param("example") TLqdataAddExample example);

    int updateByExample(@Param("record") TLqdataAdd record, @Param("example") TLqdataAddExample example);

    int updateByPrimaryKeySelective(TLqdataAdd record);

    int updateByPrimaryKey(TLqdataAdd record);
}